Package org.apache.catalina.mbeans

# Class MBeanDumper

java.lang.Object
org.apache.catalina.mbeans.MBeanDumper

public class MBeanDumper extends Object
General helper to dump MBean contents to the log.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final StringManager`
  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MBeanDumper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `dumpBeans(MBeanServer mbeanServer, Set<ObjectName> names)`
  The following code to dump MBeans has been copied from JMXProxyServlet.
  `static String`
  `escape(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sm

    protected static final StringManager sm

- ## Constructor Details

  - ### MBeanDumper

    public MBeanDumper()

- ## Method Details

  - ### dumpBeans

    public static String dumpBeans(MBeanServer mbeanServer, Set<ObjectName> names)
    The following code to dump MBeans has been copied from JMXProxyServlet.
    Parameters:
      `mbeanServer` - the MBean server
      `names` - a set of object names for which to dump the info
    Returns:
      a string representation of the MBeans

  - ### escape

    public static String escape(String value)